Subject: Re: [Capwap] Issue 70: Section 5.2.2 Minor Editioral Comment

From: Puneet <[email-masked]>
Date: Wed, 3 May 2006 10:26:56 -0700

Can we change the hardware and software version numbers in this
message as well as the WTP model number in the board data to be of
variable length? I think there is already an issue open for making all
fixed-length CAPWAP IEs variable length.

The fixed lengths in the current protocol specification are sometimes
too short for existing implementations that now want to support
CAPWAP, and there does not seem to be a reason to limit these to the
numbers specified. We can either use Radius style tag-length-values
for all these IEs, or keep the "tag" portion as-is (so that the order
in which the elements appear is enforced), but make the data part
"length-value" (ie a 1 byte length precedes the actual data)

thanks,
Puneet

On 4/29/06, Pat Calhoun (pacalhou) <[email-masked]> wrote:
> The issue stated that the following section refered to radios instead of
> WTPs,
> which was a bug in the text. I have made the necessary correction and am
> closing
> the issue.
>
> 5.2.2.  AC Descriptor
>
>    The AC payload message element is used by the AC to communicate it's
>    current state.  The value contains the following fields.
>
>       0                   1                   2                   3
>       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>      |   Reserved    |                 Hardware  Version ...         |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>      |     HW Ver    |                 Software  Version ...         |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>      |     SW Ver    |            Stations           |     Limit     |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>      |     Limit     |          Active WTPs          |   Max WTPs    |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>      |   Max WTPs    |    Security   |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>    Type:  6 for AC Descriptor
>
>    Length:  18
>
>    Reserved:  MUST be set to zero
>
>    Hardware Version:  The AC's hardware version number
>
>    Software Version:  The AC's Firmware version number
>
>    Stations:  The number of mobile stations currently associated with
>       the AC
>
>    Limit:  The maximum number of stations supported by the AC
>
>    Active WTPs:  The number of WTPs currently attached to the AC
>
>    Max WTPs:  The maximum number of WTPs supported by the AC
>
>    Security:  A 8 bit bit mask specifying the authentication credential
>       type supported by the AC.  The following values are supported (see
>       Section 10):
>
>       1 - X.509 Certificate Based
>
>       2 - Pre-Shared Secret
>
>
>
>
> Pat Calhoun
> CTO, Wireless Networking Business Unit
> Cisco Systems
> _________________________________________________________________
> To unsubscribe or modify your subscription options, please visit:
> http://lists.frascone.com/mailman/listinfo/capwap
>
> Archives: http://lists.frascone.com/pipermail/capwap
>
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: "Dorothy Stanley" <[email-masked]>
Date: Wed, 3 May 2006 11:09:25 -0700

Hi Puneet,

The resolution to Issue 46 should take care of your
second request: WTP model number in the board data to be of
variable length. The model number and serial number will be vendor specific,
of
variable length.

I have no objection to doing the same for hardware and software version
numbers.

Dorothy